<?php
declare(strict_types=1);

namespace BvBeJ\Facades;

use Illuminate\Support\Facades\Facade;

/**
 * @method static SignatureRequestHttpPostByAes(string $url, $productID, string $key, string $vi, array $params): string|false
 * @method static AesEncrypt(string $data, string $key, string $vi): string|false
 * @method static AesDecrypt(string $data, string $key, string $vi): string|false
 * @method static Base64UrlEncode(string $data, bool $strict = false): string
 * @method static Base64UrlDecode(string $data, bool $strict = false): string
 * @method static DingTalkAlert(string $accessToken, string $secret, array $params): bool
 * @method static PostJsonRequest(string $url, array $params, array $header = []): string
 * @method static YouDaoTextTranslator(string $appID, string $secret, string $text, string $lang): string
 */
class BvBeJFacade extends Facade
{
    protected static function getFacadeAccessor(): string
    {
        return 'BvBeJ';
    }
}
